POPFILE-PIPE(8)

NAME
popfile-pipe - allows message classification via a pipe

SYNOPSIS
popfile-pipe

DESCRIPTION
The pipe.pl script provides a way to have POPFile classify messages piped to it by other processes that can then take the classified message and deal with it.

It accepts the raw message text (you should include headers) on stdin. Then classifies the message and inserts the POPFile X-Text-Classification and/or performs Subject line modification as configured in POPFile. It finally emits the now classified message (including new header and modified Subject line) on stdout.

You should run this script as user and group popfile to avoid permission problems with the data used by the daemon.

SEE ALSO
popfile-insert(8), popfile-bayes(8).

AUTHOR
This manual page was written by Lucas Wall <lwall@debian.org>, for the Debian project (but may be used by others).